<h1 align="center">HtmlToComposeForWebConverter</h1>
IntelliJ-based plugin that can convert HTML to Compose for Web code.

Turn this:
<p align="center">
  <img src ="https://raw.githubusercontent.com/Foso/HtmlToComposeWebConverter/master/docs/buttonhtml.png" height=500 />
</p>

Into this:
<p align="center">
  <img src ="https://raw.githubusercontent.com/Foso/HtmlToComposeWebConverter/master/docs/composebutton.png" height=500 />
</p>

[![jCenter](https://img.shields.io/badge/Apache-2.0-green.svg
)](https://github.com/Foso/HtmlToComposeWebConverter/blob/master/LICENSE)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](http://makeapullrequest.com)
<a href="https://twitter.com/intent/tweet?text=Hey, check out HtmlToComposeWebConverter https://github.com/Foso/HtmlToComposeWebConverter via @jklingenberg_ 
"><img src="https://img.shields.io/twitter/url/https/github.com/angular-medellin/meetup.svg?style=social" alt="Tweet"></a>

### Show some :heart: and star the repo to support the project

[![GitHub stars](https://img.shields.io/github/stars/Foso/HtmlToComposeWebConverter.svg?style=social&label=Star)](https://github.com/Foso/HtmlToComposeWebConverter) [![GitHub forks](https://img.shields.io/github/forks/Foso/HtmlToComposeWebConverter.svg?style=social&label=Fork)](https://github.com/Foso/HtmlToComposeWebConverter/fork) [![GitHub watchers](https://img.shields.io/github/watchers/Foso/HtmlToComposeWebConverter.svg?style=social&label=Watch)](https://github.com/Foso/HtmlToComposeWebConverter) [![Twitter Follow](https://img.shields.io/twitter/follow/jklingenberg_.svg?style=social)](https://twitter.com/jklingenberg_)

## Introduction / How to use

1) Put your cursor to the place where you want to insert the Compose code.
2) Open the Plugin under Tools> HTML to Compose Web
 <p align="center">
  <img src ="https://raw.githubusercontent.com/Foso/HtmlToComposeWebConverter/master/docs/ideatools.png" height=500 />
</p>
3) Add your HTML to press "Generate" 
<p align="center">
  <img src ="https://raw.githubusercontent.com/Foso/HtmlToComposeWebConverter/master/docs/ideaWindow.png" height=500 />
</p>
4) Your code is now inserted at your cursor.


## What this plugin can't do:
* Convert JavaScript: 

 The <script> tag will be ignored, but inlined Javascript will be set without changes to the corresponding property. See the "button" code example above.
  

  
## :arrow_down:&nbsp;How to install?

[JetBrains Marketplace](https://plugins.jetbrains.com/plugin/18261-html-to-compose-web-converter)
  
You can install plugin directly from IntelliJ IDEA or Android Studio:
1. Open _Preferences_
2. Choose _Plugins_
3. Select the _Marketplace_ tab
4. Search for **HtmlToComposeWebConverter**
5. Click on _install_

  
Alternatively you can download the plugin from the release archive https://github.com/Foso/HtmlToComposeWebConverter/releases.  To learn how to install it, read the [Install plugin from disk](https://www.jetbrains.com/help/idea/managing-plugins.html#install_plugin_from_disk) section in the IntelliJ docs.

## :card_file_box:&nbsp;How can I contribute to this plugin?

* Create
  a [bug report](https://github.com/Foso/HtmlToComposeWebConverter/issues/new?assignees=&labels=bug&template=i-encountered-a-bug-while-using-the-plugin.md&title=)
  when accounting a bug
* Create
  a [feature request](https://github.com/Foso/HtmlToComposeWebConverter/issues/new?assignees=&labels=enhancement&template=i-d-like-to-request-a-feature.md&title=)
* Open up a [pull request](https://github.com/Foso/HtmlToComposeWebConverter/pulls)

## :fire:&nbsp;What's new?

### 1.0.4

<ul>
    <li>CSS style rules and media rules in < style> tag will now be converted to 
Compose for Web StyleSheets</li>
<li>All generated Code will be wrapped inside a Composable called GeneratedComposable() </li>
<li> < title> will be converted to KotlinJS document.title=XZY </li>

</ul>

# 🏠 Architecture

## 🛠️ Built With

### Kotlin

[![jCenter](https://img.shields.io/badge/Kotlin-1.6.10-green.svg
)]()

### Project Structure
* <kbd>converter</kbd> - Module with the converter 
* <kbd>ideaplugin</kbd> - Module with the Idea Plugin that is using the converter

## ✍️ Feedback

Feel free to send feedback on [Twitter](https://twitter.com/jklingenberg_) or [file an issue](https://github.com/foso/HtmlToComposeWebConverter/issues/new). Feature requests are always welcome. 


## 📜 License

This project is licensed under the Apache License, Version 2.0 - see the [LICENSE.md](https://github.com/Foso/HtmlToComposeWebConverter/blob/master/LICENSE) file for details

### Find this project useful ? :heart:
* Support it by clicking the :star: button on the upper right of this page. :v:

License
-------

Copyright 2021 Jens Klingenberg

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
